Subject: bug#72241: 31.0.50; [PATCH] Use a dedicated buffer for `doc-view-open-text'

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 Jul 2024 21:48:27 +0300

> From: Tassilo Horn <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 22 Jul 2024 20:39:54 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Can you tell in what way the behavior will change after this?  I'd
> > like to think whether a NEWS entry is necessary and what to day there.
> 
> Right now, when you open foo.pdf you see the images generated from the
> PDF.  When you do C-c C-t, it'll replace the foo.pdf buffer contents
> with the plain text contents of the PDF.  With another C-c C-c, the
> contents are again replaced with the PDF and you see the images again.
> 
> With Manuel's patch, C-c C-t shows the plain text contents in a separate
> buffer foo.pdf/text.  C-c C-c in there kills that separate buffer and
> switches back to the original foo.pdf buffer.
> 
> So basically everything you have to do stays the same but there are now
> two instead of just one buffer.  That has the advantage that you can
> switch between them and removes the possibility that you accidentally
> overwrite your PDF with the plain text contents (which in what Stefan's
> FIXME was about).

Thanks, I think this is enough in users' faces to warrant a NEWS
entry.